| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
type_ptr.hpp File Reference

GLM_GTC_type_ptr More...

Go to the source code of this file.

## Functions
template<typename T >
GLM_FUNC_DECL tmat2x2< T, defaultp > | make_mat2 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat2x2< T, defaultp > | make_mat2x2 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat2x3< T, defaultp > | make_mat2x3 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat2x4< T, defaultp > | make_mat2x4 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat3x3< T, defaultp > | make_mat3 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat3x2< T, defaultp > | make_mat3x2 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat3x3< T, defaultp > | make_mat3x3 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat3x4< T, defaultp > | make_mat3x4 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | make_mat4 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat4x2< T, defaultp > | make_mat4x2 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat4x3< T, defaultp > | make_mat4x3 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | make_mat4x4 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL tquat< T, defaultp > | make_quat (T const *const ptr)
| Build a quaternion from a pointer. More...
template<typename T >
GLM_FUNC_DECL tvec2< T, defaultp > | make_vec2 (T const *const ptr)
| Build a vector from a pointer. More...
template<typename T >
GLM_FUNC_DECL tvec3< T, defaultp > | make_vec3 (T const *const ptr)
| Build a vector from a pointer. More...
template<typename T >
GLM_FUNC_DECL tvec4< T, defaultp > | make_vec4 (T const *const ptr)
| Build a vector from a pointer. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type const * | value_ptr (genType const &vec)
| Return the constant address to the data of the input parameter. More...

## Detailed Description

GLM_GTC_type_ptr

See also
  GLM Core (dependence)
  GLM_GTC_quaternion (dependence)

Definition in file type_ptr.hpp.